package com.gingersoft.gsa.cloud.common.printer.plugins;

/**
 * @作者: bin
 * @創建時間: 2021-01-25 10:20
 * @更新時間: 2021-01-25 10:20
 * @描述:外部打印机连接流程
 */
public interface ExternalPrinterConnection {

    void connectionBefore(int type, String IP, String port, String ioTimeout, long printTimeout);

    void connectionSuccess();

    void connectionError(Exception e);

    void disconnect();
}
